Loading...
Searching...
No Matches
cf_random.h File Reference

generate random integers, random elements of finite fields More...

`#include "canonicalform.h"`

Go to the source code of this file.

## Data Structures

class | CFRandom
| virtual class for random element generation More...
class | GFRandom
| generate random elements in GF More...
class | FFRandom
| generate random elements in F_p More...
class | IntRandom
| generate random integers More...
class | AlgExtRandomF
| generate random elements in F_p(alpha) More...
class | CFRandomFactory

## Functions

int | factoryrandom (int n)
| random integers with abs less than n
void FACTORY_PUBLIC | factoryseed (int s)
| random seed initializer

## Detailed Description

generate random integers, random elements of finite fields

Definition in file cf_random.h.

## Function Documentation

## factoryrandom()

int factoryrandom | ( | int | n | ) |

random integers with abs less than n

Definition at line 177 of file cf_random.cc.

{
if ( n == 0 )
return (int)ranGen.generate();
else
return ranGen.generate() % n;
}
ranGen
INST_VAR RandomGenerator ranGen
Definition cf_random.cc:63

## factoryseed()

void FACTORY_PUBLIC factoryseed | ( | int | s | ) |

random seed initializer

Definition at line 186 of file cf_random.cc.

{
ranGen.seed( s );
#ifdef HAVE_FLINT
#if (__FLINT_RELEASE>=30300)
flint_rand_init(FLINTrandom);
#else
flint_randinit(FLINTrandom);
#endif
#endif
}
FLINTrandom
GLOBAL_VAR flint_rand_t FLINTrandom
Definition cf_random.cc:23
s
const CanonicalForm int s
Definition facAbsFact.cc:51